% 'SVM.m' is a function for support vector classification.

function [accuracy]=SVM(SVMTrainY, SVMTrainX,jj);
   SVMTrainY(find(SVMTrainY==0))=-1; % y=[1,0]->y=[1,-1] phenotype transfer
   % with/without grid search
   for ii=10:10 % parameter C 
       for kk=2:2 % RBF kernel 
           cmd = [ '-t ', num2str(kk),' -c ', num2str(ii), '-g ',  num2str(jj)];
           model = svmtrain(SVMTrainY, SVMTrainX, cmd); 
           [predict_label, accuracy, dec_values] = svmpredict(SVMTrainY, SVMTrainX, model);
       end
    end 